<mat-tab-group
  [selectedIndex]="selectedTab$ | async"
  mat-align-tabs="center"
  animationDuration="0ms"
  (selectedIndexChange)="setActiveTab($event)"
>
  <mat-tab [disabled]="this.formMode == 'edit'" label="Karteikarten">
    <div class="container my-1" id="carousel-container">
      <app-carousel></app-carousel>
    </div>
  </mat-tab>
  <mat-tab *ngIf="authorized$ | async" [label]="formMode === 'edit' ? 'Bearbeiten' : 'Hinzufügen'"
    ><div class="container py-1">
      <app-form></app-form></div
  ></mat-tab>
  <mat-tab [disabled]="this.formMode == 'edit'" label="Übersicht">
    <ng-template matTabContent>
      <app-lecture-overview></app-lecture-overview>
    </ng-template>
  </mat-tab>
</mat-tab-group>
